petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionCompare

Compares two sections

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionCompare(PetscSection s1, PetscSection s2, PetscBool *congruent)

Collective on PetscSection

### Input Parameterss

| s1 | - the first PetscSection
| s2 | - the second PetscSection

### Output Parameter

congruent -PETSC_TRUE if the two sections are congruent, PETSC_FALSE otherwise

### Notes

Field names are disregarded.

### See Also

PetscSection, PetscSectionCreate(), PetscSectionCopy(), PetscSectionClone()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages